nedge.h File Reference

Deals with edges in a triangulation. More...

`#include <deque>`
`#include "regina-core.h"`
`#include "shareableobject.h"`
`#include "maths/nperm4.h"`
`#include "utilities/nmarkedvector.h"`
`#include "triangulation/ntetrahedron.h"`

## Classes

class | regina::NEdgeEmbedding
| Details how an edge in the skeleton forms part of an individual tetrahedron. More...
class | regina::NEdge
| Represents an edge in the skeleton of a triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Variables

REGINA_API const int | regina::edgeNumber [4][4]
| `edgeNumber[i][j]` is the number of the edge linking vertices `i` and `j` in a tetrahedron. More...
REGINA_API const int | regina::edgeStart [6]
| `edgeStart[k]` is the vertex of a tetrahedron at which edge `k` of the tetrahedron begins. More...
REGINA_API const int | regina::edgeEnd [6]
| `edgeEnd[k]` is the vertex of a tetrahedron at which edge `k` of the tetrahedron ends. More...

## Detailed Description

Deals with edges in a triangulation.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).